Description

Supposing I have several polyline/gon layers when digitising, or even just one layer:

First geomerty, A, has a line (or part of a polygon).

Second geometry, B, has 2 vertices (and the line between) snapped to a segment of A's line.

When I digitise a new geometry that needs to meet those 2 vertices exactly (either contained inside B or 100% non-intersecting with B, or

overlapping), the digitiser snaps to the line but cannot snap accurately to the vertices.

It would be nice to have a tighter snap when you approach a vertex which happens to lie on a line. And/or some kind of

indicator/highlighting of what is being snapped to (a la Illustrator for example).

Because of variations in layers and perhaps wanting to overlap, the 'Avoid Int' option does not acheive what is needed.

History

#1 - 2014-01-30 05:49 PM - Olivier Dalang

Hi !

This issue seem to have been forgotten, but I find it quite serious (plus probably not too hard to implement).

I'd actually flag it as a bug rather than a feature.

I think priority should be :

1. current layer's vertices

2. background layers' vertices

3. current layer's segments

4. background layers' segments

For background snaps, the snap could be done either by prioritizing the nearest one or the first one by display order... Not sure what's best ?

I guess nearest one is more practical, but in case one has layers covering other layers, order of appearance may be better.

Thanks !

#2 - 2014-02-05 01:18 AM - luca76 -

This method would be really useful for many plugins.

#3 - 2014-05-02 11:06 PM - Leyan Ouyang
Could you check if the latest master is better regarding the snapping priority? I modified the snapping order to prefer vertices in the pull request 1260 last

month.

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
https://github.com/qgis/QGIS/pull/1260

